> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Stock Balances By Site

> Balances rolled up per physical site (logistics_location) × item —
which factory/warehouse holds how much of each stock item. Buckets whose
stock_location has no site link group under 'Unassigned'.



## OpenAPI

````yaml /api/openapi-cutmake.json get /stock/balances/by-site
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /stock/balances/by-site:
    get:
      tags:
        - Stock
      summary: List Stock Balances By Site
      description: |-
        Balances rolled up per physical site (logistics_location) × item —
        which factory/warehouse holds how much of each stock item. Buckets whose
        stock_location has no site link group under 'Unassigned'.
      operationId: list_stock_balances_by_site_stock_balances_by_site_get
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 20
            title: Limit
        - name: stockDomain
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Stockdomain
        - name: logisticsLocationId
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Logisticslocationid
        - name: availableOnly
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Availableonly
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
        - name: sort
          in: query
          required: false
          schema:
            type: string
            default: '-qty_on_hand'
            title: Sort
        - name: X-Org-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Org-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedStockBalancesBySiteResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    PaginatedStockBalancesBySiteResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/StockBalanceBySiteResponse'
          type: array
          title: Data
        pagination:
          $ref: '#/components/schemas/routers__external__stock__PaginationInfo'
      type: object
      required:
        - data
        - pagination
      title: PaginatedStockBalancesBySiteResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    StockBalanceBySiteResponse:
      properties:
        id:
          type: string
          title: Id
        logisticsLocationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Logisticslocationid
        siteName:
          type: string
          title: Sitename
        siteType:
          anyOf:
            - type: string
            - type: 'null'
          title: Sitetype
        stockDomain:
          type: string
          title: Stockdomain
        itemType:
          type: string
          title: Itemtype
        materialId:
          anyOf:
            - type: string
            - type: 'null'
          title: Materialid
        materialName:
          anyOf:
            - type: string
            - type: 'null'
          title: Materialname
        materialSkuId:
          anyOf:
            - type: string
            - type: 'null'
          title: Materialskuid
        styleId:
          anyOf:
            - type: string
            - type: 'null'
          title: Styleid
        styleName:
          anyOf:
            - type: string
            - type: 'null'
          title: Stylename
        styleSkuId:
          anyOf:
            - type: string
            - type: 'null'
          title: Styleskuid
        lotCount:
          type: integer
          title: Lotcount
        qtyOnHand:
          type: number
          title: Qtyonhand
        qtyReserved:
          type: number
          title: Qtyreserved
        qtyAvailable:
          type: number
          title: Qtyavailable
        uom:
          type: string
          title: Uom
        updatedAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Updatedat
      type: object
      required:
        - id
        - siteName
        - stockDomain
        - itemType
        - lotCount
        - qtyOnHand
        - qtyReserved
        - qtyAvailable
        - uom
      title: StockBalanceBySiteResponse
    routers__external__stock__PaginationInfo:
      properties:
        page:
          type: integer
          title: Page
        limit:
          type: integer
          title: Limit
        total:
          type: integer
          title: Total
        totalPages:
          type: integer
          title: Totalpages
        hasNext:
          type: boolean
          title: Hasnext
        hasPrev:
          type: boolean
          title: Hasprev
      type: object
      required:
        - page
        - limit
        - total
        - totalPages
        - hasNext
        - hasPrev
      title: PaginationInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````